%global         pypi_name      clipy_like

%define         debug_package  %{nil}


Name:           python-clipy-like
Version:        0.15
Release:        %mkrel 1
Summary:        A python implementation of the clik likelihood code
License:        LGPLv3
Group:          Development/Python
URL:            https://pypi.python.org/pypi/clipy-like
Source0:        %{pypi_source}

BuildArch:      noarch



%description
Clipy is a pure python implementation of the clik likelihood framework
with optional JAX support. It is natively compatible with candl, fully
compatible with clik, while introducing new features. It adds the
option to modify the data content of a likelihood at initialization
time and offers an alternative API to pass data and parameters when
computing a likelihood.



%package -n python3-clipy-like
Summary:        A python implementation of the clik likelihood code
Group:          Development/Python
%{?python_provide:%python_provide python3-clipy}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(scipy)
BuildRequires:  python3dist(astropy)
BuildRequires:  python3dist(flit-core)

Provides:       clipy = %{version}-%{release}

%description -n python3-clipy-like
Clipy is a pure python implementation of the clik likelihood framework
with optional JAX support. It is natively compatible with candl, fully
compatible with clik, while introducing new features. It adds the
option to modify the data content of a likelihood at initialization
time and offers an alternative API to pass data and parameters when
computing a likelihood.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-clipy-like
%doc README.md
%{_bindir}/clipy_example_py
%{_bindir}/clipy_print
%{_bindir}/clipy_change_data
%{python3_sitelib}/clipy
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/


%changelog
* Sat Jul 12 2025 eatdirt <eatdirt> 0.15-1.mga10
+ Revision: 2253575
- Update to version 0.15

* Sat Jul 05 2025 eatdirt <eatdirt> 0.11-1.mga10
+ Revision: 2247022
- imported package python-clipy-like

